Subject: Re: [PATCH] Re-enable SIGIO when waiting for events

From: Alex Bennée <[email-masked]>
Date: Fri, 31 Jul 2015 07:03:39 +0100

Tassilo Horn <[email-masked]> writes:

> Mike Crowe <[email-masked]> writes:
>
>>> > Thanks for checking.  I installed a similar patch as Emacs master
>>> > commit 0592cefd03f1de2f04b721d07a16e6e0a9e48f73; could you please
>>> > give it a try?  It is like Mike Crowe's patch, except it avoids a
>>> > race that could lose SIGIOs.  I'll also send a heads-up email to
>>> > the relevant bug reports.
>>> 
>>> I prefer your version and will switch to testing it instead.
>>
>> I've been testing with 0592cefd03f1de2f04b721d07a16e6e0a9e48f73
>> applied to Debian Jessie's emacs24 (24.4+1-5) for over a week now
>> without seeing any problems so I think we can call the bug fixed.
>
> And I run the git head updating daily, and the issue didn't occur to me
> since that commit whereas it bit me several times a day before.  So I
> can confirm that it's fixed (as multiple other already did in the
> debbugs issue), so I close it with this mail.

Will it get applied to the emacs-24 branch or is that considered dead now?

> Thanks!
> Tassilo

-- 
Alex Bennée